#include<stdio.h>
int main(){
  int n,cj,cd,cs,min,max;
  scanf("%d",&n);
  cj=n%10;
  cd=(n%100)/10;
  cs=n/100;
   

  if((n<100 || n>999))
  {
  printf("-1\n");
  return;
  }
else
  
 if(cj<=cd&&cj<=cs)
    min=cj;
  else if(cd<=cj&&cd<=cs)
    min=cd;
  else min=cs;

if(cj>=cd&&cj>=cs)
  max=cj;
  if(cd>=cj &&cd>=cs)
    max=cd;
  else
    max=cs;

  if(cj==cs && cd==0)
     printf("%d\n",n/10+cj);
   else if(cj==cd&&cs==0)
     printf("%d\n",cj*10+cd);
   
  else
   printf("%d\n",min*100+cd*10+max);
   
  return 0;


}
